ALTER TABLE NNDVIGAL
ADD PLAN_LIMIT NUMBER;

CREATE OR REPLACE VIEW V_NAJAVE AS (
SELECT DISTINCT N.ID AS ID_NAJAVE, N.ID_DVIGALA, N.ID_LASTNIKA, N.ID_PLOVILA, N.ID_STORITVE, N.SIFRA_DVIGALA, N.SIFRA_STORITVE, N.VRSTA_NAJAVE, N.DATUM, N.URA_OD, N.URA_DO, N.DATUM_OD, N.DATUM_DO,
N.LASTNIK_OBVESCEN, N.ID_PRIVEZ, NP.N_PRIVEZA, N.KOMENTAR, N.NAVODILO, N.ID_DN, N.STATUS, N.NNLOCATION_ID,
NS.OPIS AS STATUS_OPIS, NS.INTERNI_OPIS AS STATUS_INTERNI_OPIS, NS.COLOR AS STATUS_COLOR, NS.TEXT_COLOR AS STATUS_TEXT_COLOR,
VN.LIFT_SERVICE AS VRSTA_NAJAVE_LIFT_SERVICE, VN.LAUNCH_SERVICE AS VRSTA_NAJAVE_LAUNCH_SERVICE, 
S.COMPLETE, M.OPIS AS STORITEV, P.IME AS IME_PLOVILA, P.TEZA AS TEZA_PLOVILA, P.DATUM_ZAVAROVANJE AS PLOVILA_DATUM_ZAVAROVANJE, P.N_ZAVAROVALNE_POLICE AS PLOVILA_N_ZAVAROVALNE_POLICE,
NVL(K.PRIIMEK, '') || ' ' || NVL(K.IME, '') AS LASTNIK, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME,
ND.OPIS AS NNDVIGAL_OPIS, ND.INTERNI_OPIS AS NNDVIGAL_INTERNI_OPIS, ND.NOSILNOST AS NNDVIGAL_NOSILNOST, ND.COLOR AS NNDVIGAL_COLOR, ND.NAME_BUILD_INSTRUCTION AS NNDVIGAL_NAME_BUILD_INSTR,
MD.DATUM_DN AS M_DE_NA_DATUM_DN, MD.TERMIN_DO AS M_DE_NA_TERMIN_DO, MD.STEVILKA AS M_DE_NA_STEVILKA, MD.KOMENTAR AS M_DE_NA_KOMENTAR,
(SELECT LISTAGG(KUP.IME,', ') WITHIN GROUP(ORDER BY KUP.IME ASC) BOAT_CONTACT_NAMES FROM KONT_OSB_PLOVILA KOP, KUPCI KUP WHERE KOP.ID_OSEBE = KUP.ID AND KOP.ID_PLOVILA = N.ID_PLOVILA) AS BOAT_CONTACT_NAMES,
CASE WHEN (SELECT COUNT(*) FROM NAJAVE_SERVICE NS WHERE NS.ID_NAJAVE = N.ID) > 0 THEN 'Y' ELSE 'N' END AS HAS_ADDITIONAL_SERVICES
FROM NAJAVE N
LEFT OUTER JOIN NNAJAVE_STATUS NS ON NS.SIFRA = N.STATUS
LEFT OUTER JOIN VRSTA_NAJAVE VN ON VN.SIFRA = N.VRSTA_NAJAVE
LEFT OUTER JOIN M_NNSTOMAR M ON N.SIFRA_STORITVE = M.SIFRA
LEFT OUTER JOIN PLOVILA P ON N.ID_PLOVILA = P.ID
LEFT OUTER JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
LEFT OUTER JOIN M_STORITVE S ON N.ID_STORITVE = S.ID_STORITVE
LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = N.ID_PRIVEZ
LEFT OUTER JOIN NNDVIGAL ND ON ND.ID = N.ID_DVIGALA
LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = N.ID_DN
);

ALTER TABLE VRSTA_NAJAVE
ADD CREATE_SERVICES VARCHAR2(1 CHAR);

ALTER TABLE M_STORITVE
ADD ID_NAJAVE NUMBER;


CREATE OR REPLACE VIEW V_STORITVE AS (
	SELECT M.ID_STORITVE, M.ID_DN, M.ID_POGODBE, M.ID_VPS, M.VRSTA, M.ID_LASTNIKA, M.ID_PLOVILA, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_OD, M.DATUM_DO, M.KOLICINA, M.POPUST, M.OPIS_SERVIS,
  M.ZNESEK, M.VALUTA, M.TECAJ, M.DAVEK, M.N_PONUDBE, M.N_RACUNA, M.DATUM_RACUNA, M.ZAKLJUCEN, M.KOMENTAR, M.DATUM_KREIRANJA, M.USER_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_SPREMEMBE, M.TIP_SERVIS, M.AUTO,
  M.POPUST1, M.POPUST2, M.NAMENP, M.NAMENP1, M.NAMENP2, M.TECAJP, M.DODATNA_STORITEV, M.DOMACA_VALUTA, M.PROVIZIJA, M.DRZAVA, M.SKUPAJ_OSEB, M.ID_KAT, M.PROVIZIJA_DELITEV, M.ID_REZERVACIJE, M.CUSTOM,
  M.CPROVIZIJA, M.SERVICE_COST, M.COMPLETE, M.KOLICINA_INSTR, M.ID_STORITVE_GEN, M.ID_BATCH, M.ID_SALDKONT, M.ID_LASTNIKA_ORG, M.NNLOCATION_ID, M.MIN_FEE, M.ID_LASTNIK_LEASE, 
  M.NCARD, M.FULL_AMOUNT, M.SERVICE_TIME, M.ID_PRIVEZ, M.SUBLEASE_PAYMENT, M.ID_DAVEK, M.LASTNIK_LEASE_PROCENT, M.ID_REZERVACIJE_CHARTER, M.ID_SERVICE_TEMPLATE, M.CAS_OD, M.CAS_DO, M.USER_COMMENT, M.SERVICE_COMMENT,
  M.ID_OWNER_SIGNATURE, M.ID_NAJAVE,
  NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
  NS.DEPARTURE_CHECK AS NNSTOMAR_DEPARTURE_CHECK, NS.NIGHTS_PRICE AS NNSTOMAR_NIGHTS_PRICE,
  NNE.OPIS AS NNSTOMAR_ENOTA_OPIS, NNE.INTERNI_OPIS AS NNSTOMAR_ENOTA_INTERNI_OPIS, MDN.DATUM_DN AS M_DE_NA_DATUM_DN, MDN.TERMIN_DO AS M_DE_NA_TERMIN_DO, MDN.STEVILKA AS M_DE_NA_STEVILKA,
  MDN.STATUS AS M_DE_NA_STATUS, MDN.ORG_STATUS AS M_DE_NA_ORG_STATUS, 
  KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, KU.MANAGER AS KUPCI_MANAGER, KU.VRSTA AS KUPCI_VRSTA, PL.IME AS PLOVILA_IME,
  
  -- Service values
  SV.NETO_DOMACA_VREDNOST,
  SV.NETO_DOMACA_VREDNOST + (SV.NETO_DOMACA_VREDNOST * (NVL(M.DAVEK, 0) / 100)) AS BRUTO_DOMACA_VREDNOST,
  SV.NETO_DOMACA_VREDNOST / (SELECT NVL(LAST_MIDDLE_RATE, 1) FROM V_FOREIGN_RATE) AS NETO_TUJA_VREDNOST,
  (SV.NETO_DOMACA_VREDNOST + (SV.NETO_DOMACA_VREDNOST * (NVL(M.DAVEK, 0) / 100))) / (SELECT NVL(LAST_MIDDLE_RATE, 1) FROM V_FOREIGN_RATE) AS BRUTO_TUJA_VREDNOST
  
	FROM M_STORITVE M
  LEFT OUTER JOIN V_STORITVE_VALUE SV ON SV.ID_STORITVE = M.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
  LEFT OUTER JOIN NNENOTE NNE ON NNE.SIFRA = NS.ENOTA
  LEFT OUTER JOIN M_DE_NA MDN ON MDN.ID_DN = M.ID_DN
  LEFT OUTER JOIN KUPCI KU ON KU.ID = M.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = M.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1314, SYSDATE, '5.5', 1234, 'Najave services')
;