CREATE TABLE NNMARKER
  (
    "ID_MARKER" NUMBER NOT NULL ENABLE,
    "SIFRA"     VARCHAR2(2 CHAR) NOT NULL ENABLE,
    "LATITUDE"  VARCHAR2(20 BYTE) NOT NULL ENABLE,
    "LONGITUDE" VARCHAR2(20 BYTE) NOT NULL ENABLE,
    "ZAP_ST"    NUMBER NOT NULL ENABLE,
    CONSTRAINT "NNMARKER_PK" PRIMARY KEY ("ID_MARKER"), 
    CONSTRAINT "NNPOMOL_FK" FOREIGN KEY ("SIFRA") REFERENCES NNPOMOL ("SIFRA") ENABLE
  )
  ;

CREATE SEQUENCE NNMARKER_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 ;

CREATE OR REPLACE TRIGGER NNMARKER_TRIGGER BEFORE
  INSERT ON nnmarker FOR EACH ROW BEGIN
  SELECT nnmarker_seq.nextval INTO :new.id_marker FROM dual;
END;
/
ALTER TRIGGER NNMARKER_TRIGGER ENABLE;



CREATE TABLE USERS
  (
    "ID_USER"         NUMBER NOT NULL ENABLE,
    "NAME"            VARCHAR2(255 BYTE) NOT NULL ENABLE,
    "HASHED_PASSWORD" VARCHAR2(255 BYTE) NOT NULL ENABLE,
    "SALT"            VARCHAR2(255 BYTE),
    "EMAIL"           VARCHAR2(100 CHAR),
    "ID_GRUPA"        NUMBER NOT NULL ENABLE,
    CONSTRAINT "USERS_PK" PRIMARY KEY ("ID_USER")
    
  )
  ;



 
ALTER TABLE NNPRIKLJ ADD (DOKUMENT BLOB, DATOTEKA VARCHAR2 (250 char), TIP VARCHAR2 (5 char), 
USER_KREIRANJA VARCHAR2(20 char), DATUM_KREIRANJA DATE, ACTION VARCHAR2(1 char) );



CREATE OR REPLACE FORCE VIEW VESSEL_V ("BOAT", "OWNER", "NAME", "BERTH", "DATE_TO", "CONTRACT", "CONTRACT_TO", "REG", "TYPE", "LENGTH", "FLAG", "SALDO", "SERV", "WO", "IDKUPCA", "IDPLOVILA", "MODEL", "TELEFON", "NASLOV", "MESTO", "POSTA", "DRZAVA", "VALUTA", "POGODBENI_OBJEKT", "POGODBENI_PRIVEZ", "POGODBA_DO", "TRENUTNI_OBJEKT", "TRENUTNI_PRIVEZ", "TRENUTNO_DO", "BELEZKA")
AS
  SELECT p.ime boat,
    k.priimek owner,
    k.ime NAME,
    p.trenutna_n_priveza berth,
    p.trenutno_do date_to,
    p.pogodbena_n_priveza contract,
    p.pogodba_do contract_to,
    p.registrska_n reg,
    t.gb TYPE,
    p.dolzina LENGTH,
    d.gb flag,
    CASE
      WHEN k.saldakonti_sit = 0
      THEN NULL
      ELSE k.saldakonti_sit
    END saldo,
    CASE
      WHEN (SELECT COUNT (*) AS st
        FROM m_storitve
        WHERE id_plovila = p.ID
        AND id_lastnika  = p.id_lastnika
        AND vrsta       IN ('PO', 'ST')
        AND n_racuna    IS NULL) > 0
      THEN 'Y'
      ELSE NULL
    END serv,
    CASE
      WHEN (SELECT COUNT (*) AS st
        FROM m_de_na
        WHERE id_lastnika  = p.id_lastnika
        AND id_plovila     = p.ID
        AND LOWER (status) = 'n') > 0
      THEN 'Y'
      ELSE NULL
    END wo ,
    p.id_lastnika IDKUPCA,
    p.id IDPLOVILA,
    m.opis MODEL,
    k.telefon_1 TELEFON,
    k.naslov NASLOV,
    k.mesto MESTO,
    k.posta POSTA,
    d2.opis DRZAVA,
    k.valuta_placila VALUTA,
    p.pogodbeni_objekt_priveza POGODBENI_OBJEKT,
    p.pogodbena_n_priveza POGODBENI_PRIVEZ,
    p.pogodba_do POGODBA_DO,
    p.trenutni_objekt_priveza TRENUTNI_OBJEKT,
    p.trenutna_n_priveza TRENUTNI_PRIVEZ,
    p.trenutno_do TRENUTNO_DO,
    p.belezka BELEZKA
  FROM plovila p,
    kupci k,
    nntip t,
    nndrzave d,
    nndrzave d2,
    nnmodel m
  WHERE p.id_lastnika     = k.ID
  AND p.ntip              = t.sifra
  AND p.nzastava          = d.sifra
  AND p.model             = m.sifra(+)
  AND k.ndrzava           =d2.sifra(+)
  AND trenutna_n_priveza IS NOT NULL
  ORDER BY p.ime;



insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (248, SYSDATE, '5.5', 168, 'NNMARKER');