CREATE TABLE BOOKKEEPING_RULES (
ID_BOOKKEEPING_RULES NUMBER NOT NULL,
TYPE VARCHAR2(50 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(250 CHAR),
DATA_CODE VARCHAR2(50 CHAR),
CONDITION1 VARCHAR2(50 CHAR),
CONDITION2 VARCHAR2(50 CHAR),
ACCOUNT VARCHAR2(30 CHAR) NOT NULL,
ACCOUNT_FOREIGN VARCHAR2(30 CHAR) NOT NULL,

CONSTRAINT PK_BOOKKEEPING_RULES PRIMARY KEY(ID_BOOKKEEPING_RULES)
)
;

ALTER TABLE BOOKKEEPING_RULES
ADD NNLOCATION_ID NUMBER
;

ALTER TABLE BOOKKEEPING_RULES
ADD CONTRA_ACCOUNT NUMBER
;

CREATE SEQUENCE BOOKKEEPING_RULES_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;


CREATE TABLE BOOKKEEPING_TYPES (
CODE VARCHAR2(50 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(250 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(250 CHAR),
CONSTRAINT PK_BOOKKEEPING_TYPES PRIMARY KEY(CODE)
)
;

CREATE TABLE BOOKKEEPING_TEMPLATES (
ID_BOOKKEEPING_TEMPLATE NUMBER NOT NULL,
BOOKKEEPING_TYPE VARCHAR2(50 CHAR) NOT NULL,
RECORD_TYPE VARCHAR2(30 CHAR) NOT NULL,
ACCOUNT VARCHAR2(30 CHAR) NOT NULL,
RECORD_SIDE VARCHAR2(1 CHAR) NOT NULL,
AMOUNT_TYPE VARCHAR2(30 CHAR) NOT NULL,
RECORD_CONDITION VARCHAR2(250 CHAR) NOT NULL,
RECORD_VALUE VARCHAR2(250 CHAR) NOT NULL,

CONSTRAINT PK_BOOKKEEPING_TEMPLATES PRIMARY KEY(ID_BOOKKEEPING_TEMPLATE)
)
;

CREATE SEQUENCE BOOKKEEPING_TEMPLATES_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

ALTER TABLE BOOKKEEPING_TEMPLATES
  ADD TIPKNJ_TYPE VARCHAR2(20 CHAR)
;

ALTER TABLE BOOKKEEPING_TEMPLATES
  ADD VRSTAKNJ_TYPE VARCHAR2(20 CHAR)
;

ALTER TABLE KNJIZBE
ADD VER VARCHAR2(10 CHAR) DEFAULT '1.0'
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1984, SYSDATE, '5.5', 1904, 'Bookeeping')
;