﻿CREATE OR REPLACE VIEW V_PLOVILA AS (
	SELECT PR.ID_PRIVEZI, PL.ID AS ID_PLOVILA, NVL(TRUNC(PL.TRENUTNO_OD), TRUNC(SYSDATE)) AS DATUM_OD, NVL(TRUNC(PL.TRENUTNO_DO), TRUNC(SYSDATE)+ 1) AS DATUM_DO, 
	PR.ID_PRIVEZ, N.OBJEKT, N.N_PRIVEZA, PL.IME AS IME_PLOVILA, PL.NTIP AS TIP_PLOVILA, PL.DOLZINA AS DOLZINA_PLOVILA, PL.SIRINA AS SIRINA_PLOVILA, K.ID AS ID_LASTNIKA, K.IME AS IME_KUPCI, K.PRIIMEK AS PRIIMEK_KUPCI, K.SALDAKONTI_SIT,
	(CASE WHEN PL.POGODBENI_OBJEKT_PRIVEZA IS NOT NULL THEN 'PO' ELSE 'TR' END) AS VRSTA_PLOVILA, PL.REGISTRSKA_N AS REGISTRSKA_N_PLOVILA, NT.OPIS AS TIP_PLOVILA_LONG, PL.NZASTAVA AS NZASTAVA_PLOVILA, ND.OZNAKA AS NZASTAVA_PLOVILA_SHORT, ND.OPIS AS NZASTAVA_PLOVILA_LONG
	FROM PRIVEZI PR
	JOIN PLOVILA PL ON PL.ID = PR.ID_PLOVILA
	JOIN KUPCI K ON K.ID = PL.ID_LASTNIKA
	JOIN NNPRIVEZ N ON N.ID_PRIVEZ = PR.ID_PRIVEZ
	LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = PL.NTIP
	LEFT OUTER JOIN NNDRZAVE ND ON ND.SIFRA = PL.NZASTAVA
	WHERE PR.ID_POGODBE IS NULL
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(376, SYSDATE, '5.5', 296, 'Dodani nekateri stolpci za PLOVILA na pogled trenutne situacije');


