ALTER TABLE KONT_OSB_LASTNIK
ADD PREFERRED VARCHAR2(1 CHAR);

ALTER TABLE KONT_OSB_PLOVILA
ADD PREFERRED VARCHAR2(1 CHAR);

ALTER TABLE ACTIVITIES_MAIL
ADD PREFERRED VARCHAR2(1 CHAR);

ALTER TABLE PLOVILA_ORDER
ADD PREFERRED VARCHAR2(1 CHAR);

ALTER TABLE RACUNI_KUPCEV
ADD PREFERRED VARCHAR2(1 CHAR);


CREATE OR REPLACE VIEW V_KONT_OSB_LASTNIK AS (
	SELECT K.ID_KONT_OSB_LASTNIK, K.ID_LASTNIKA, K.ID_OSEBE, K.ODNOS, K.DEPANDENT, K.HAS_MEMB_CARD, K.CAN_SIGN_INVOICE, K.CREW_ID, K.VELJA_DO, K.NOTE, K.PREFERRED,
  NNODNOS.OPIS AS NNODNOS_OPIS, NNODNOS.INTERNI_OPIS AS NNODNOS_INTERNI_OPIS,
  KUPCI_LASTNIK.PRIIMEK AS LASTNIK_PRIIMEK, KUPCI_LASTNIK.IME AS LASTNIK_IME, KUPCI_LASTNIK.ID_MEMBER AS LASTNIK_ID_MEMBER, 
  KUPCI_LASTNIK.NASLOV AS LASTNIK_NASLOV, KUPCI_LASTNIK.MESTO AS LASTNIK_MESTO, KUPCI_LASTNIK.POSTA AS LASTNIK_POSTA,
  KUPCI_OSEBA.PRIIMEK AS OSEBA_PRIIMEK, KUPCI_OSEBA.IME AS OSEBA_IME, KUPCI_OSEBA.ID_MEMBER AS OSEBA_ID_MEMBER,
  KUPCI_OSEBA.NASLOV AS OSEBA_NASLOV, KUPCI_OSEBA.MESTO AS OSEBA_MESTO, KUPCI_OSEBA.POSTA AS OSEBA_POSTA
	FROM KONT_OSB_LASTNIK K
 	LEFT OUTER JOIN KUPCI KUPCI_LASTNIK ON K.ID_LASTNIKA = KUPCI_LASTNIK.ID
  LEFT OUTER JOIN KUPCI KUPCI_OSEBA ON K.ID_OSEBE = KUPCI_OSEBA.ID
  LEFT OUTER JOIN NNODNOS NNODNOS ON K.ODNOS = NNODNOS.SIFRA
);

CREATE OR REPLACE VIEW V_KONT_OSB_PLOVILA AS (
	SELECT P.ID_KONT_OSB_PLOVILA, P.ID_PLOVILA, P.ID_OSEBE, P.ODNOS, P.NOTE, P.PREFERRED,
  NNPK.OPIS AS ODNOS_OPIS, NNPK.INTERNI_OPIS AS ODNOS_INTERNI_OPIS,
  KUPCI_OSEBA.PRIIMEK AS OSEBA_PRIIMEK, KUPCI_OSEBA.IME AS OSEBA_IME, KUPCI_OSEBA.NASLOV AS OSEBA_NASLOV, KUPCI_OSEBA.MESTO AS OSEBA_MESTO, KUPCI_OSEBA.POSTA AS OSEBA_POSTA
	FROM KONT_OSB_PLOVILA P
  LEFT OUTER JOIN KUPCI KUPCI_OSEBA ON P.ID_OSEBE = KUPCI_OSEBA.ID
  LEFT OUTER JOIN NNODNOS_PLOVILA_KUPCI NNPK ON P.ODNOS = NNPK.SIFRA
);

CREATE OR REPLACE VIEW V_ACTIVITIES_MAIL AS (
	SELECT AM.ID AS ID_ACTIVITIES_MAIL, AM.ID_KUPCA, AM.SIFRA_AKTIVNOSTI, AM.AKT, AM.VRSTA_CORR, AM.ID_KUPCI_CORRESPONDENCE, AM.PREFERRED,
  K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, NA.OPIS AS NNACTIVITIES_OPIS, NA.INTERNI_OPIS AS NNACTIVITIES_INTERNI_OPIS, NA.AKT AS NNACTIVITIES_AKT, 
  NV.OPIS AS NNVRSCORR_OPIS, NV.INTERNI_OPIS AS NNVRSCORR_INTERNI_OPIS,
  KC.VRSTA_CORR AS KUPCI_CORR_VRSTA_CORR, KC.NASLOV AS KUPCI_CORR_NASLOV, KC.POSTA AS KUPCI_CORR_POSTA, KC.KRAJ AS KUPCI_CORR_KRAJ, KC.NDRZAVA AS KUPCI_CORR_NDRZAVA 
	FROM ACTIVITIES_MAIL AM
 	LEFT OUTER JOIN KUPCI K ON K.ID = AM.ID_KUPCA
  LEFT OUTER JOIN NNACTIVITIES NA ON NA.SIFRA = AM.SIFRA_AKTIVNOSTI
  LEFT OUTER JOIN NNVRSCORR NV ON NV.SIFRA = AM.VRSTA_CORR
  LEFT OUTER JOIN KUPCI_CORRESPONDENCE KC ON KC.ID = AM.ID_KUPCI_CORRESPONDENCE
);

CREATE OR REPLACE VIEW V_PLOVILA_ORDER
AS (
SELECT PO.ID AS ID_PLOVILA_ORDER, PO.ID_PLOVILA, PO.NNCOMPLIMENTARY, PO.KOMENTAR, PO.AKT, PO.PREFERRED,
P.IME AS PLOVILA_IME, N.OPIS AS NNCOMPLIMENTARY_OPIS, N.INTERNI_OPIS AS NNCOMPLIMENTARY_INTERNI_OPIS
FROM PLOVILA_ORDER PO
LEFT OUTER JOIN PLOVILA P ON P.ID = PO.ID_PLOVILA
LEFT OUTER JOIN NNCOMPLIMENTARY N ON N.SIFRA = PO.NNCOMPLIMENTARY
);

CREATE OR REPLACE VIEW V_RACUNI_KUPCEV
AS (
SELECT RK.ID_RACUNA, RK.ID_LASTNIKA, RK.ST_RACUNA, RK.OPIS, RK.BANKA, RK.PREFERRED,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM RACUNI_KUPCEV RK
LEFT OUTER JOIN KUPCI K ON K.ID = RK.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (714, SYSDATE, '5.5', 634, 'Preferred');